Operator (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class Operator

- java.lang.Object
- - com.ibm.streamsx.rest.Element
  - - com.ibm.streamsx.rest.Operator

-     public class Operator
      extends Element

  An object describing an IBM Streams Operator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getIndexWithinJob()` Gets the index of this operator within the `Job`
    `java.util.List<InputPort>` | `getInputPorts()` Gets a list of `input ports` for this operator
    `java.lang.String` | `getLogicalName()` The logical name of this operator.
    `java.util.List<Metric>` | `getMetrics()` Gets a list of `metrics` for this operator
    `java.lang.String` | `getName()` Name of this operator
    `java.lang.String` | `getOperatorKind()` SPL primitive operator type for this operator
    `java.util.List<OutputPort>` | `getOutputPorts()` Gets a list of `output ports` for this operator
    `ProcessingElement` | `getPE()` Get the PE for this operator.
    `java.lang.String` | `getResourceType()` Identifies the REST resource type

    - ### Methods inherited from class com.ibm.streamsx.rest.Element

      `getStreamsConnection, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operator

          public Operator()

  - ### Method Detail

    - #### getLogicalName

          public java.lang.String getLogicalName()

      The logical name of this operator.
      Returns:
        the logical name of the operator, which is just the name if the operator is not part of a parallel region.
      Since:
        1.9

    - #### getMetrics

          public java.util.List<Metric> getMetrics()
                                            throws java.io.IOException

      Gets a list of `metrics` for this operator
      Returns:
        List of `IBM Streams Metrics`
      Throws:
        `java.io.IOException`

    - #### getIndexWithinJob

          public long getIndexWithinJob()

      Gets the index of this operator within the `Job`
      Returns:
        the index as a long

    - #### getInputPorts

          public java.util.List<InputPort> getInputPorts()
                                                  throws java.io.IOException

      Gets a list of `input ports` for this operator
      Returns:
        List of `Input Ports` for this operator
      Throws:
        `java.io.IOException`

    - #### getName

          public java.lang.String getName()

      Name of this operator
      Returns:
        the operator name

    - #### getOperatorKind

          public java.lang.String getOperatorKind()

      SPL primitive operator type for this operator
      Returns:
        the SPL primitive operator type

    - #### getOutputPorts

          public java.util.List<OutputPort> getOutputPorts()
                                                    throws java.io.IOException

      Gets a list of `output ports` for this operator
      Returns:
        List of `Output Ports` for this operator
      Throws:
        `java.io.IOException`

    - #### getResourceType

          public java.lang.String getResourceType()

      Identifies the REST resource type
      Returns:
        "operator"

    - #### getPE

          public ProcessingElement getPE()
                                  throws java.io.IOException

      Get the PE for this operator.
      Returns:
        PE for this operator.
      Throws:
        `java.io.IOException`
      Since:
        1.9